Skip to content
Documentation
Explore guides

For administrators

Offices

List, create, show, and update offices in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all offices

GET /api/v3/offices

Results are paginated. Pass page to move through pages of 100 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "office name",
    "total_employees": 3,
    "company_id": 12,
    "company_name": "Company name"
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "office name2",
    "total_employees": 7,
    "company_id": 12,
    "company_name": "Company name"
  }
]

Create an office

POST /api/v3/offices

Request

{
  "name": "new office"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "new office",
  "total_employees": 0,
  "company_id": 12,
  "company_name": "Company name"
}

Show an office

GET /api/v3/offices/{office_id}

Parameter Type Description
office_id string (UUID) Office id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "office name",
  "total_employees": 3,
  "company_id": 12,
  "company_name": "Company name"
}

Update an office

PUT /api/v3/offices/{office_id}

Request

{
  "name": "updated office name"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "updated office name",
  "total_employees": 3,
  "company_id": 12,
  "company_name": "Company name"
}